Index: tests/regressiontests/generic_views/base.py
===================================================================
--- tests/regressiontests/generic_views/base.py	(revision 16529)
+++ tests/regressiontests/generic_views/base.py	(working copy)
@@ -4,7 +4,6 @@
 from django.core.exceptions import ImproperlyConfigured
 from django.http import HttpResponse
 from django.test import TestCase, RequestFactory
-from django.utils import simplejson
 from django.views.generic import View, TemplateView, RedirectView
 
 
Index: tests/regressiontests/generic_views/list.py
===================================================================
--- tests/regressiontests/generic_views/list.py	(revision 16529)
+++ tests/regressiontests/generic_views/list.py	(working copy)
@@ -2,7 +2,6 @@
 from django.test import TestCase
 
 from regressiontests.generic_views.models import Author, Artist
-from regressiontests.generic_views.views import CustomPaginator
 
 class ListViewTests(TestCase):
     fixtures = ['generic-views-test-data.json']
Index: tests/regressiontests/generic_views/dates.py
===================================================================
--- tests/regressiontests/generic_views/dates.py	(revision 16529)
+++ tests/regressiontests/generic_views/dates.py	(working copy)
@@ -1,5 +1,4 @@
 import datetime
-import random
 
 from django.core.exceptions import ImproperlyConfigured
 from django.test import TestCase
Index: tests/regressiontests/introspection/tests.py
===================================================================
--- tests/regressiontests/introspection/tests.py	(revision 16529)
+++ tests/regressiontests/introspection/tests.py	(working copy)
@@ -1,6 +1,5 @@
 from functools import update_wrapper
-from django.conf import settings
-from django.db import connection, DEFAULT_DB_ALIAS
+from django.db import connection
 from django.test import TestCase, skipUnlessDBFeature
 
 from models import Reporter, Article
Index: tests/regressiontests/utils/jslex.py
===================================================================
--- tests/regressiontests/utils/jslex.py	(revision 16529)
+++ tests/regressiontests/utils/jslex.py	(working copy)
@@ -2,7 +2,6 @@
 # encoding: utf-8
 # originally from https://bitbucket.org/ned/jslex
 
-import difflib
 from django.test import TestCase
 from django.utils.jslex import JsLexer, prepare_js_for_gettext
 
Index: tests/regressiontests/fixtures_regress/tests.py
===================================================================
--- tests/regressiontests/fixtures_regress/tests.py	(revision 16529)
+++ tests/regressiontests/fixtures_regress/tests.py	(working copy)
@@ -2,7 +2,6 @@
 # Unittests for fixtures.
 import os
 import re
-import sys
 try:
     from cStringIO import StringIO
 except ImportError:
@@ -13,8 +12,8 @@
 from django.core.management.base import CommandError
 from django.db.models import signals
 from django.db import transaction
-from django.test import TestCase, TransactionTestCase, skipIfDBFeature, \
-    skipUnlessDBFeature
+from django.test import (TestCase, TransactionTestCase, skipIfDBFeature,
+    skipUnlessDBFeature)
 
 from models import Animal, Stuff
 from models import Absolute, Parent, Child
Index: tests/regressiontests/fixtures_regress/models.py
===================================================================
--- tests/regressiontests/fixtures_regress/models.py	(revision 16529)
+++ tests/regressiontests/fixtures_regress/models.py	(working copy)
@@ -1,6 +1,5 @@
-from django.db import models, DEFAULT_DB_ALIAS, connection
+from django.db import models
 from django.contrib.auth.models import User
-from django.conf import settings
 
 
 class Animal(models.Model):
Index: tests/regressiontests/bash_completion/management/commands/test_command.py
===================================================================
--- tests/regressiontests/bash_completion/management/commands/test_command.py	(revision 16529)
+++ tests/regressiontests/bash_completion/management/commands/test_command.py	(working copy)
@@ -1,5 +1,4 @@
-import sys, os
-from optparse import OptionParser, make_option
+from optparse import make_option
 
 from django.core.management.base import BaseCommand
 
Index: tests/regressiontests/urlpatterns_reverse/tests.py
===================================================================
--- tests/regressiontests/urlpatterns_reverse/tests.py	(revision 16529)
+++ tests/regressiontests/urlpatterns_reverse/tests.py	(working copy)
@@ -3,9 +3,8 @@
 """
 from django.conf import settings
 from django.core.exceptions import ImproperlyConfigured, ViewDoesNotExist
-from django.core.urlresolvers import reverse, resolve, NoReverseMatch,\
-                                     Resolver404, ResolverMatch,\
-                                     RegexURLResolver, RegexURLPattern
+from django.core.urlresolvers import (reverse, resolve, NoReverseMatch,
+    Resolver404, ResolverMatch, RegexURLResolver, RegexURLPattern)
 from django.http import HttpResponseRedirect, HttpResponsePermanentRedirect
 from django.shortcuts import redirect
 from django.test import TestCase
Index: tests/regressiontests/urlpatterns_reverse/middleware.py
===================================================================
--- tests/regressiontests/urlpatterns_reverse/middleware.py	(revision 16529)
+++ tests/regressiontests/urlpatterns_reverse/middleware.py	(working copy)
@@ -1,5 +1,3 @@
-from django.core.urlresolvers import set_urlconf
-
 import urlconf_inner
 
 class ChangeURLconfMiddleware(object):
